summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarcus Huderle <huderlem@gmail.com>2018-04-06 08:22:29 -0700
committerGitHub <noreply@github.com>2018-04-06 08:22:29 -0700
commit5203c8c1e08c8bc0f499287e60a4158ace85f0db (patch)
treeedd4b101a0feb9ec0c4ea5f7ded3843111ef7fb8
parent80d029caec189587f8b9294b6c8a5a489b8f5f88 (diff)
parent36ecb5f530cdf62e3fbbbdae3b87e36f5d540803 (diff)
Merge pull request #8 from NieDzejkob/stop-on-error
Stop the script on the first error using the set -e command
-rwxr-xr-xbuild.sh1
-rwxr-xr-xinstall.sh1
2 files changed, 2 insertions, 0 deletions
diff --git a/build.sh b/build.sh
index b017e08..bc429f6 100755
--- a/build.sh
+++ b/build.sh
@@ -1,4 +1,5 @@
#!/bin/sh
+set -e
make -C gcc clean
make -C gcc old
mv gcc/old_agbcc .
diff --git a/install.sh b/install.sh
index 12a99f4..756c78a 100755
--- a/install.sh
+++ b/install.sh
@@ -1,4 +1,5 @@
#!/bin/sh
+set -e
if [ "$1" != "" ]; then
mkdir -p $1/tools/agbcc
mkdir -p $1/tools/agbcc/bin